#ifndef __ROPS_H__
#define __ROPS_H__

/*
  All defined ROPs.
 */

typedef enum {

  GGIART_ROP_COLOR,         /* arg ggi_color       */

  GGIART_ROP_TEXTURE,       /* args : texture buffer ,int[2] (dx,dy) */
  GGIART_ROP_ALPHA_TEXTURE, /* args : same but use alpha channel if available  */

  /* */

  GGIART_ROP_NOT,     /* args : threshold               */
  GGIART_ROP_XOR,     /* args : threshold, pixel value  */
  GGIART_ROP_AND,     /* args : threshold, pixel value  */
  GGIART_ROP_OR       /* args : threshold, pixel value  */
} ggiart_rop_code_t;

/*

  Generic ROP struct

 */

typedef struct ggiart_rop_s * ggiart_rop_t;

struct ggiart_rop_s {
  ggiart_rop_code_t  rop;
  void             * arg1;
  void             * arg2;
};

#endif /* __ROPS_H__ */
